# Note that this is NOT a relocatable package
%define ver      0.1.35
%define rel      SNAP
%define prefix   /usr

Summary: Go, A Gnome word processor.
Name: go
Version: %ver
Release: %rel
Copyright: GPL
Group: X11/gnome
Source: ftp://ftp.gnome.org/pub/GNOME/sources/go/go-%{ver}.tar.gz
BuildRoot: /var/tmp/go-root
Packager: Chris Lahey <clahey@umich.edu>
URL: http://www-personal.umich.edu/~clahey/software/
Requires: gnome-libs >= 0.99.3, gnome-print >= 0.1.0, libhnj >= 0.1.0

%description
A word processor for GNOME.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: A word processor for GNOME
Group: X11/gnome

%description devel
A word processor for GNOME

%changelog

* Wed Feb 3 1999 Chris Lahey <clahey@umich.edu>

- Added go.spec to cvs

%prep
%setup

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --localstatedir=/var/lib
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --localstatedir=/var/lib
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README HISTORY
%{prefix}/bin/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/hypn/*
%{prefix}/share/apps/*/*
%{prefix}/libexec/go/*/*

%files devel
%defattr(-, root, root)

%{prefix}/lib/*.a

